Subject: RE: [Enum] NITS review of draft-ietf-enum-infrastructure-03

From: "Richard Shockey" <[email-masked]>
Date: Wed, 6 Dec 2006 15:19:06 -0500

Did any of you get this message?

I'm running into mail problems it seems.

Yes this is informational .. but can we get the correct boiler plate on this
so I can take it and the BLR and combined into WGLC.

BTW Alex have you given the latest BLR and enum combined the nits test?

> -----Original Message-----
> From: Alexander Mayrhofer [mailto:[email-masked]]
> Sent: Tuesday, November 21, 2006 10:20 AM
> To: lconroy
> Cc: [email-masked]'; Stastny Richard; Livingood,Jason; Pfautz, Penn L,NEO
> Subject: Re: [Enum] NITS review of draft-ietf-enum-infrastructure-03
> 
> lconroy wrote:
> > Hi Folks,
> >   OK, whilst we're at the level of boilerplate changes, I believe that
> I-Ds
> > are supposed to indicate their intended status (i.e. what track they're
> > on).
> > Most all of the other drafts in the WG don't, but at the top of the
> > document
> > you could put in "Intended Status: Informational".
> 
> yep. Afaik leaving that out means "standards track".
> 
> > Look at <draft-ietf-enum-edns0-00.txt> as an example of a draft aimed at
> > BCP status. (It's VERY easy to do if the draft is XML-based and uses
> > XML2RFC).
> >
> > Also, the citation of the requirements document needs to be updated.
> 
> thanks for catching that, Lawrence.
> 
> cheers
> 
> Alex
> 
> _______________________________________________
> enum mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/enum

_______________________________________________
enum mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/enum

---

From: "Livingood, Jason" <[email-masked]>
Date: Fri, 29 Dec 2006 13:26:30 -0500

Thanks for your detailed feedback from the NITS review - we made these
changes in -04 draft, to be submitted soon.

Regards
Jason 

> Sent: Monday, November 20, 2006 10:38 AM
> To: [email-masked]'; Stastny Richard; Livingood, Jason; 
> Pfautz, Penn L, NEO
> Subject: [Enum] NITS review of draft-ietf-enum-infrastructure-03
> 
> 
> I've found the following issues with the current draft:
> 
> - Boilerplate: I believe that rsn, the I-D-Team will only 
> accept drafts with the new boilerplate (recognizing the IETF 
> Trust). Please update accordingly.

CHANGE MADE

> - Abstract: There are non-ASCII-Characters around e164.arpa - 
> most probably "fancy" apostrophes... Please remove them.

CHANGE MADE

> - ToC: The title of section 4 in the ToC differs from the 
> title of the section itself. Please fix.

CHANGE MADE
 
> - Terminology: The draft does not contain a single instanct 
> of RFC2119-style key words. Hence, either remove that 
> section, or add such key words where they should apply. In 
> that case it is being kept, please add a proper reference to 
> RFC 2119 (currently, the reference does not point to the list 
> of references).

RFC 2119 is cited as normative reference #10.  We also have a MUST in
the document.

> - Section 4, Section 3: I'd rather swap them.

CHANGE MADE

> - (current) Section 4: Please add a reference (informative, 
> probably) to RFC 2870.

CHANGE MADE
 
> - Section 5: Please use only "example.com/.net/.org" (or 
> subdomains off
> there) in the examples. Simply appending one of the TLDs to 
> the example URIs will do..

CHANGE MADE
 
> - References: Some of them are never used in the document 
> (like [5], [6], [7], [8], [9] (btw, that doesn't seem to have 
> it's place here anyway)). If you really want to refer to 
> obsoleted RFC 2916, please put it into the "informative" section.

CHANGE MADE, removed all of the uncited references and renumbered.

> hope that helps.

---

From: "Livingood, Jason" <[email-masked]>
Date: Fri, 29 Dec 2006 13:29:29 -0500

Thanks - updated the reference to Infrastrucure ENUM Requirements,
draft-ietf-enum-infrastructure-enum-reqs-03.

This change will be reflected in an upcoming -04 of the draft.

Jason

> From: lconroy [mailto:[email-masked]] 
> Sent: Monday, November 20, 2006 11:57 AM
> To: Alexander Mayrhofer
> Cc: [email-masked]'; Stastny Richard; Livingood, Jason; 
> Pfautz, Penn L, NEO
>    OK, whilst we're at the level of boilerplate changes, I 
> believe that I-Ds are supposed to indicate their intended 
> status (i.e. what track they're on).
> Most all of the other drafts in the WG don't, but at the top 
> of the document you could put in "Intended Status: Informational".
> Look at <draft-ietf-enum-edns0-00.txt> as an example of a 
> draft aimed at BCP status. (It's VERY easy to do if the draft 
> is XML-based and uses XML2RFC).
> 
> all the best,
>    Lawrence
> On 20 Nov 2006, at 15:38, Alexander Mayrhofer wrote:
> > - Boilerplate: I believe that rsn, the I-D-Team will only accept 
> > drafts with the new boilerplate (recognizing the IETF 
> Trust). Please 
> > update accordingly.
> >
> > - Abstract: There are non-ASCII-Characters around e164.arpa - most 
> > probably "fancy" apostrophes... Please remove them.
> >
> > - Terminology: The draft does not contain a single instanct of 
> > RFC2119-style key words. Hence, either remove that section, or add 
> > such key words where they should apply. In that case it is 
> being kept, 
> > please add a proper reference to RFC 2119 (currently, the reference 
> > does not point to the list of references).
> >
> > probably) to RFC
> > 2870.
> > - Section 5: Please use only "example.com/.net/.org" (or subdomains 
> > off
> > there) in the examples. Simply appending one of the TLDs to the 
> > example URIs will do..
> >
> (like [5], 
> > [6], [7], [8], [9] (btw, that doesn't seem to have it's place here 
> > anyway)). If you really want to refer to obsoleted RFC 2916, please 
> > put it into the "informative" section.
> >
> >
> > hope that helps.
> >
> > Alex
> >

---

From: "Livingood, Jason" <[email-masked]>
Date: Fri, 29 Dec 2006 13:40:04 -0500

Attached is the new -04 draft, which was just submitted to the editor.
Attaching here as an early preview and in case Rich & Patrik want to ask
for WGLC on the document.

Regards
Jason